### Function

# Gimp quit

deprecated: Unknown

#### Declaration [src]

    void
    gimp_quit (
      void
    )

#### Description [src]

Forcefully causes the GIMP library to exit and close down its connection to main gimp application. This function never returns.

It is highly unadvised to use this function since the plug-in will not properly return. If you need to return from a plug-in in error, gracefully return with `gimp_procedure_new_return_values()` setting `GIMP_PDB_EXECUTION_ERROR` as a status and with a well written `GError` message to display.

Deprecated since: Unknown

There are no alternatives. Quit your plug-ins cleanly instead.